Busy Plugin - Defect #156

Canceling the busy jar numerous times will lead to the busy jar no longer showing
09/21/2010 08:53 PM - Paul Coward

Status: Closed Start date: 09/21/2010
Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Browser (if web Any

client):

Description

| have noticed that cancelling the busy jar quickly, in processes that take some time, and reopening numerous times will lock up the
busy jar causing it to no longer show.

Also I'm noticing strange behaviour when our users try to print a report. In this situation we open a dialogue to get further user input
and when the user clicks ok we make a call through the plugin. This call basically just sets up ids and paramaters then makes a
jasper report run report call.

The issue here is that the jasper report will open a dialog for the user to open or save the generated report, and the busy plugin
seems to hold that process until the user tries to print another report (where the parameter dialog needs to be opened for it to show
the open/save dialog).

History

#1 - 09/21/2010 09:04 PM - Patrick Talbot

Can you tell me a little bit more about:

What kind client? Smart or web?
What version of:

- (client) OS

- Servoy

- Busy plugin

used?

#2 - 09/21/2010 09:26 PM - Paul Coward

Sorry forgot to include that information.

Servoy 5.2.1i2 v1001

Web client

Windows XP

Firefox 3.6.10

Java Version=1.6.0_21

Busy version: V2.1 Compatible 5.1.x and more (busy-v2.jar)

#3 - 09/23/2010 06:17 AM - Patrick Talbot
- Status changed from New to Feedback

- Priority changed from Normal to Low

Paul Coward wrote:

| have noticed that cancelling the busy jar quickly, in processes that take some time, and reopening numerous times will lock up the busy jar
causing it to no longer show.

Also I'm noticing strange behaviour when our users try to print a report. In this situation we open a dialogue to get further user input and when
the user clicks ok we make a call through the plugin. This call basically just sets up ids and paramaters then makes a jasper report run report
call.

The issue here is that the jasper report will open a dialog for the user to open or save the generated report, and the busy plugin seems to hold
that process until the user tries to print another report (where the parameter dialog needs to be opened for it to show the open/save dialog).

I'm not sure about the reopening numerous times, haven't been able to reproduce with the same setup...
Perhaps you would have a case where that happens so that | could have a look?
For the second part, I'm sorry to say that this will simply not work.

You said it yourself: "the jasper report will open a dialog". But the busy jar is blocking the Ul, and the call to the process is synchronous, the only call
that | managed to do (with a lot of jumping the hoops, was an Ajax call to a servlet defined by the plugin, which set an AtomicBoolean in a
ConcurrentHashMap that is in turn queried by the client via a Remote service, this works fine when all that is done is setting a boolean for cancel, but
this will not allow more complex interactions with the browser since Wicket is blocking the calls anyway, queuing them to run after the process method
is finished).

#4 - 10/03/2011 11:49 PM - Patrick Talbot

- Status changed from Feedback to In Progress

v2.2 doesn't show this behavior as frequently. Still from time to time, it seems the process is called before the web Ul has been refreshed, it seems to
be a problem of sequential call in the Servoy executor. Not sure if it's fixable, but the refactored version v2.2 shows a definite improvement here.

#5 - 12/04/2012 01:58 AM - Patrick Talbot

- Status changed from In Progress to Closed
- Client type set to Web client

- In developer? set to No

- Servoy version set to Any

- Component version set to Any

- OS version set to Any

- Java version set to Any

- Browser (if web client) set to Any

| think this one is fixed with v2.2.4 - feel free to reopen if you see otherwise.
